using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using nsAlienRFIDcf;

namespace nsAlienMobileSDK
{
    internal partial class Reader_Details : Form
    {
        ReaderInfo mReaderInfo = null;
        internal Reader_Details( ReaderInfo readerInfo )
        {
            InitializeComponent();

            mReaderInfo = readerInfo;
        }

        private void Reader_Details_Load(object sender, EventArgs e)
        {
            if (mReaderInfo != null)
            {
                Dictionary<string, string> settings = mReaderInfo.GetAllFields();
                foreach (string k in settings.Keys)
                {
                    ListViewItem item = new ListViewItem(k);
                    if (settings[k] != null)
                    {
                        ListViewItem.ListViewSubItem subitem = new ListViewItem.ListViewSubItem();
                        subitem.Text = settings[k];
                        item.SubItems.Add(subitem);
                    }
                    listView1.Items.Add(item);
                }
            }
        }


    }
}